import type { _NSEnumerator } from "../Foundation/NSEnumerator.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _MXHistogram extends _NSObject {
    static alloc(): _MXHistogram;
    static new(): _MXHistogram;
    init(): _MXHistogram;
    /**
     * @property totalBucketCount @abstract The number of buckets contained within this histogram. @discussion This value can never be negative.
     */
    totalBucketCount(): number;
    /**
     * @property bucketEnumerator @abstract An NSEnumerator that can be used to enumerate the buckets of this histogram.
     */
    bucketEnumerator(): _NSEnumerator;
}
export interface _MXHistogram extends _NSSecureCoding {
}
